Как правильно устанавливать библиотеки в PyCharm?

VolodinAS

Новичок
Пользователь
Дек 3, 2020
35
0
6
31
Россия, Тольятти
Здравствуйте, уважаемые форумчане. Я - новичок в python, не ругайтесь, пожалуйста.

Предварительные данные:
  1. Указать свою операционную систему - WINDOWS 10
  2. Указать версию Python - PYTHON 3.8.0
  3. Укажите версию библиотек с которыми работаете, вставьте в спойлер вывод команды pip list
    1. Скрин №193 (03.12.2020 22).png
  4. Описание вопроса ниже
Суть вопроса такова.

Через командную строку я установил нужные мне библиотеки.
Команды:
pip install numpy
pip install pyautogui
pip install opencv-python
pip install pillow imutils

Через IDLE прописал код:
Python:
import numpy as np
import pyautogui
import imutils
import cv2

print('hello')
image = pyautogui.screenshot(region=(0,0, 300, 400))
image = cv2.cvtColor(np.array(image), cv2.COLOR_RGB2BGR)
#cv2.imshow('Screenshot', imutils.resize(image, width=600))
cv2.imwrite('pic.png', image)

Запустил и получил результат в виде файла скриншота:
pic.png

То есть, через IDLE всё работает.

Запускаю PyCharm, вставляю этот же код:
Скрин №188 (03.12.2020 22).png

Естественно, отсутствуют нужные библиотеки. Навожу мышь на ошибку, нажимаю на "install package numpy":
Скрин №190 (03.12.2020 22).png

Жду некоторое время и вот - он мне выдает ошибку:
Скрин №191 (03.12.2020 22).png

Тексты ошибок:

SyntaxError: (unicode error) 'utf-8' codec can't decode byte 0xef in position 0: invalid continuation byte (sitecustomize.py, line 7)

Make sure that you use a version of Python supported by this package. Currently you are using Python 3.8.

Collecting numpy
Using cached https://files.pythonhosted.org/pack...79828291f68aebfff1642be212ec/numpy-1.19.4.zip
Installing build dependencies: started
Installing build dependencies: finished with status 'done'
Getting requirements to build wheel: started
Getting requirements to build wheel: finished with status 'done'
Preparing wheel metadata: started
Preparing wheel metadata: finished with status 'error'
Complete output from command D:\DOCUMENTS\ПРОГРАММИРОВАНИЕ\PYTHON\PROJECTS\PYCHARM\me2safeautocracker\venv\Scripts\python.exe D:\DOCUMENTS\ПРОГРАММИРОВАНИЕ\PYTHON\PROJECTS\PYCHARM\me2safeautocracker\venv\lib\site-packages\pip-19.0.3-py3.8.egg\pip\_vendor\pep517\_in_process.py prepare_metadata_for_build_wheel C:\Users\VOLODI~1\AppData\Local\Temp\tmpttixcb_z:
Error in sitecustomize; set PYTHONVERBOSE for traceback:
SyntaxError: (unicode error) 'utf-8' codec can't decode byte 0xef in position 0: invalid continuation byte (sitecustomize.py, line 7)
Running from numpy source directory.
setup.py:480: UserWarning: Unrecognized setuptools command, proceeding with generating Cython sources and expanding templates
run_build = parse_setuppy_commands()
Cythonizing sources
Error in sitecustomize; set PYTHONVERBOSE for traceback:
SyntaxError: (unicode error) 'utf-8' codec can't decode byte 0xef in position 0: invalid continuation byte (sitecustomize.py, line 7)
Processing numpy/random\_bounded_integers.pxd.in
Processing numpy/random\bit_generator.pyx
Traceback (most recent call last):
File "C:\Users\VolodinAS\AppData\Local\Temp\pycharm-packaging\numpy\tools\cythonize.py", line 59, in process_pyx
from Cython.Compiler.Version import version as cython_version
ModuleNotFoundError: No module named 'Cython'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\Users\VolodinAS\AppData\Local\Temp\pycharm-packaging\numpy\tools\cythonize.py", line 235, in <module>
main()
File "C:\Users\VolodinAS\AppData\Local\Temp\pycharm-packaging\numpy\tools\cythonize.py", line 231, in main
find_process_files(root_dir)
File "C:\Users\VolodinAS\AppData\Local\Temp\pycharm-packaging\numpy\tools\cythonize.py", line 222, in find_process_files
process(root_dir, fromfile, tofile, function, hash_db)
File "C:\Users\VolodinAS\AppData\Local\Temp\pycharm-packaging\numpy\tools\cythonize.py", line 188, in process
processor_function(fromfile, tofile)
File "C:\Users\VolodinAS\AppData\Local\Temp\pycharm-packaging\numpy\tools\cythonize.py", line 64, in process_pyx
raise OSError('Cython needs to be installed in Python as a module')
OSError: Cython needs to be installed in Python as a module
Traceback (most recent call last):
File "D:\DOCUMENTS\ПРОГРАММИРОВАНИЕ\PYTHON\PROJECTS\PYCHARM\me2safeautocracker\venv\lib\site-packages\pip-19.0.3-py3.8.egg\pip\_vendor\pep517\_in_process.py", line 207, in <module>
main()
File "D:\DOCUMENTS\ПРОГРАММИРОВАНИЕ\PYTHON\PROJECTS\PYCHARM\me2safeautocracker\venv\lib\site-packages\pip-19.0.3-py3.8.egg\pip\_vendor\pep517\_in_process.py", line 197, in main
json_out['return_val'] = hook(**hook_input['kwargs'])
File "D:\DOCUMENTS\ПРОГРАММИРОВАНИЕ\PYTHON\PROJECTS\PYCHARM\me2safeautocracker\venv\lib\site-packages\pip-19.0.3-py3.8.egg\pip\_vendor\pep517\_in_process.py", line 69, in prepare_metadata_for_build_wheel
return hook(metadata_directory, config_settings)
File "D:\DOCUMENTS\ПРОГРАММИРОВАНИЕ\PYTHON\PROJECTS\PYCHARM\me2safeautocracker\venv\lib\site-packages\setuptools-40.8.0-py3.8.egg\setuptools\build_meta.py", line 140, in prepare_metadata_for_build_wheel
File "D:\DOCUMENTS\ПРОГРАММИРОВАНИЕ\PYTHON\PROJECTS\PYCHARM\me2safeautocracker\venv\lib\site-packages\setuptools-40.8.0-py3.8.egg\setuptools\build_meta.py", line 210, in run_setup
File "D:\DOCUMENTS\ПРОГРАММИРОВАНИЕ\PYTHON\PROJECTS\PYCHARM\me2safeautocracker\venv\lib\site-packages\setuptools-40.8.0-py3.8.egg\setuptools\build_meta.py", line 126, in run_setup
File "setup.py", line 508, in <module>
setup_package()
File "setup.py", line 488, in setup_package
generate_cython()
File "setup.py", line 285, in generate_cython
raise RuntimeError("Running cythonize failed!")
RuntimeError: Running cythonize failed!

----------------------------------------

Command "D:\DOCUMENTS\ПРОГРАММИРОВАНИЕ\PYTHON\PROJECTS\PYCHARM\me2safeautocracker\venv\Scripts\python.exe D:\DOCUMENTS\ПРОГРАММИРОВАНИЕ\PYTHON\PROJECTS\PYCHARM\me2safeautocracker\venv\lib\site-packages\pip-19.0.3-py3.8.egg\pip\_vendor\pep517\_in_process.py prepare_metadata_for_build_wheel C:\Users\VOLODI~1\AppData\Local\Temp\tmpttixcb_z" failed with error code 1 in C:\Users\VolodinAS\AppData\Local\Temp\pycharm-packaging\numpy


Помогите, пожалуйста, решить проблему. Пытался гуглить, но так и не нашел нужного решения. Не понимаю, PyCharm не использует ранее установленные библиотеки?
 

regnor

Модератор
Команда форума
Модератор
Июл 7, 2020
2 566
454
83
в пайчарме есть свое виртуальное окружение, куда ставяться все модули, можно через пайчарм терминал написать pip <имя модуля> и он установит их в свое виртуальное окружение...
либо почитайте про virtualenv...
 
  • Мне нравится
Реакции: VolodinAS

regnor

Модератор
Команда форума
Модератор
Июл 7, 2020
2 566
454
83
вот тут все есть
 
  • Мне нравится
Реакции: VolodinAS

VolodinAS

Новичок
Пользователь
Дек 3, 2020
35
0
6
31
Россия, Тольятти
в пайчарме есть свое виртуальное окружение, куда ставяться все модули, можно через пайчарм терминал написать pip <имя модуля> и он установит их в свое виртуальное окружение...
Здравствуйте. Когда я прописываю команды, я так понимаю, он говорит, что библиотеки уже установлены:
Скрин №194 (03.12.2020 22).png
 

regnor

Модератор
Команда форума
Модератор
Июл 7, 2020
2 566
454
83
да...
 

VolodinAS

Новичок
Пользователь
Дек 3, 2020
35
0
6
31
Россия, Тольятти
в пайчарме есть свое виртуальное окружение, куда ставяться все модули, можно через пайчарм терминал написать pip <имя модуля> и он установит их в свое виртуальное окружение...
либо почитайте про virtualenv...
Если у меня в системе уже есть python и уже есть функционирующий pip, то может нужно настроить сам проект перед созданием?

Я тут прописал путь к pip
Скрин №195 (03.12.2020 22).png

Но после создания проекта он выдает ошибку:Скрин №196 (03.12.2020 22).png

Может тут еще проблема?

Или может быть проблема в переменных среды Windows?
 

VolodinAS

Новичок
Пользователь
Дек 3, 2020
35
0
6
31
Россия, Тольятти
Но как они могут быть установлены, если:
D:\DOCUMENTS\ПРОГРАММИРОВАНИЕ\PYTHON\PROJECTS\PYCHARM\me2safeautocracker\venv\Scripts\python.exe D:/DOCUMENTS/ПРОГРАММИРОВАНИЕ/PYTHON/PROJECTS/PYCHARM/me2safeautocracker/Main.py
Traceback (most recent call last):
File "D:/DOCUMENTS/ПРОГРАММИРОВАНИЕ/PYTHON/PROJECTS/PYCHARM/me2safeautocracker/Main.py", line 1, in <module>
import numpy as np
ModuleNotFoundError: No module named 'numpy'

Process finished with exit code 1
 

VolodinAS

Новичок
Пользователь
Дек 3, 2020
35
0
6
31
Россия, Тольятти
вот тут все есть
Так, я нашел пункт про создание отдельного виртуального окружения для использования в множествах проектов, сделал всё по инструкции.
Теперь ошибка при установке пакетов такая - требует MS C++ 14.0... Почему до этого не требовал?
Скрин №197 (03.12.2020 23).png

Или в виртуальную среду надо как-то отдельно ее устанавливать?
 

regnor

Модератор
Команда форума
Модератор
Июл 7, 2020
2 566
454
83
в ошибке есть ссылка на С++ build tools скачайте и установите, некоторые модули написаны на С++ и для их сборки нужен дистрибутив С++...
 

VolodinAS

Новичок
Пользователь
Дек 3, 2020
35
0
6
31
Россия, Тольятти
в ошибке есть ссылка на С++ build tools скачайте и установите, некоторые модули написаны на С++ и для их сборки нужен дистрибутив С++...
В общем, странно. Нашел виртальную среду, где у меня было уже установлено кучу библиотек. Пересоздал проект, указав эту среду - и всё заработало... Странно... Спасибо большое за помощь!
 

Форум IT Специалистов